#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private JYA.PrevIntraDayHL[] cachePrevIntraDayHL;
		private JYA.PrevIntraDayHLsolo[] cachePrevIntraDayHLsolo;

		
		public JYA.PrevIntraDayHL PrevIntraDayHL(int timeOpen, int timeClose)
		{
			return PrevIntraDayHL(Input, timeOpen, timeClose);
		}

		public JYA.PrevIntraDayHLsolo PrevIntraDayHLsolo(int timeOpen, int timeClose, int pitWidth, int pitLineStyle)
		{
			return PrevIntraDayHLsolo(Input, timeOpen, timeClose, pitWidth, pitLineStyle);
		}


		
		public JYA.PrevIntraDayHL PrevIntraDayHL(ISeries<double> input, int timeOpen, int timeClose)
		{
			if (cachePrevIntraDayHL != null)
				for (int idx = 0; idx < cachePrevIntraDayHL.Length; idx++)
					if (cachePrevIntraDayHL[idx].TimeOpen == timeOpen && cachePrevIntraDayHL[idx].TimeClose == timeClose && cachePrevIntraDayHL[idx].EqualsInput(input))
						return cachePrevIntraDayHL[idx];
			return CacheIndicator<JYA.PrevIntraDayHL>(new JYA.PrevIntraDayHL(){ TimeOpen = timeOpen, TimeClose = timeClose }, input, ref cachePrevIntraDayHL);
		}

		public JYA.PrevIntraDayHLsolo PrevIntraDayHLsolo(ISeries<double> input, int timeOpen, int timeClose, int pitWidth, int pitLineStyle)
		{
			if (cachePrevIntraDayHLsolo != null)
				for (int idx = 0; idx < cachePrevIntraDayHLsolo.Length; idx++)
					if (cachePrevIntraDayHLsolo[idx].TimeOpen == timeOpen && cachePrevIntraDayHLsolo[idx].TimeClose == timeClose && cachePrevIntraDayHLsolo[idx].PitWidth == pitWidth && cachePrevIntraDayHLsolo[idx].PitLineStyle == pitLineStyle && cachePrevIntraDayHLsolo[idx].EqualsInput(input))
						return cachePrevIntraDayHLsolo[idx];
			return CacheIndicator<JYA.PrevIntraDayHLsolo>(new JYA.PrevIntraDayHLsolo(){ TimeOpen = timeOpen, TimeClose = timeClose, PitWidth = pitWidth, PitLineStyle = pitLineStyle }, input, ref cachePrevIntraDayHLsolo);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.JYA.PrevIntraDayHL PrevIntraDayHL(int timeOpen, int timeClose)
		{
			return indicator.PrevIntraDayHL(Input, timeOpen, timeClose);
		}

		public Indicators.JYA.PrevIntraDayHLsolo PrevIntraDayHLsolo(int timeOpen, int timeClose, int pitWidth, int pitLineStyle)
		{
			return indicator.PrevIntraDayHLsolo(Input, timeOpen, timeClose, pitWidth, pitLineStyle);
		}


		
		public Indicators.JYA.PrevIntraDayHL PrevIntraDayHL(ISeries<double> input , int timeOpen, int timeClose)
		{
			return indicator.PrevIntraDayHL(input, timeOpen, timeClose);
		}

		public Indicators.JYA.PrevIntraDayHLsolo PrevIntraDayHLsolo(ISeries<double> input , int timeOpen, int timeClose, int pitWidth, int pitLineStyle)
		{
			return indicator.PrevIntraDayHLsolo(input, timeOpen, timeClose, pitWidth, pitLineStyle);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.JYA.PrevIntraDayHL PrevIntraDayHL(int timeOpen, int timeClose)
		{
			return indicator.PrevIntraDayHL(Input, timeOpen, timeClose);
		}

		public Indicators.JYA.PrevIntraDayHLsolo PrevIntraDayHLsolo(int timeOpen, int timeClose, int pitWidth, int pitLineStyle)
		{
			return indicator.PrevIntraDayHLsolo(Input, timeOpen, timeClose, pitWidth, pitLineStyle);
		}


		
		public Indicators.JYA.PrevIntraDayHL PrevIntraDayHL(ISeries<double> input , int timeOpen, int timeClose)
		{
			return indicator.PrevIntraDayHL(input, timeOpen, timeClose);
		}

		public Indicators.JYA.PrevIntraDayHLsolo PrevIntraDayHLsolo(ISeries<double> input , int timeOpen, int timeClose, int pitWidth, int pitLineStyle)
		{
			return indicator.PrevIntraDayHLsolo(input, timeOpen, timeClose, pitWidth, pitLineStyle);
		}

	}
}

#endregion
